﻿using Hotline.Share.Dtos.Knowledge;

namespace Hotline.KnowledgeBase
{
    public interface IKnowledgeDomainService
    {
        /// <summary>
        /// 知识库-查询详情-增加浏览量
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<Knowledge> KnowledgeInfo(string Id, CancellationToken cancellationToken);

        /// <summary>
        /// 知识库-新增
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<string> KnowledgeAdd(AddKnowledgeDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 知识库-修改
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task KnowledgeUpdate(UpdateKnowledgeDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 知识库-删除
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task KnowledgeDelete(string Id, CancellationToken cancellationToken);

        /// <summary>
        /// 审批操作
        /// </summary>
        /// <param name="Ids">需要审批的数据ID</param>
        /// <param name="ApprovalStatus">审核状态：0：通过；1：不通过</param>
        /// <param name="HandleOpinions">办理意见</param>
        /// <returns></returns>
        Task ApprovalHandle(List<string> Ids, string ApprovalStatus, string HandleOpinions, CancellationToken cancellationToken);
    }
}
